[postgis-tickets] r16346 - Have Debbie test all available upgrades
Sandro Santilli
strk at kbt.io
Sat Jan 20 04:58:39 PST 2018
Author: strk
Date: 2018-01-20 04:58:39 -0800 (Sat, 20 Jan 2018)
New Revision: 16346
Modified:
branches/2.4/ci/debbie/postgis_regress.sh
Log:
Have Debbie test all available upgrades
References #2676 for 2.4 branch
Modified: branches/2.4/ci/debbie/postgis_regress.sh
===================================================================
--- branches/2.4/ci/debbie/postgis_regress.sh 2018-01-20 09:20:44 UTC (rev 16345)
+++ branches/2.4/ci/debbie/postgis_regress.sh 2018-01-20 12:58:39 UTC (rev 16346)
@@ -67,10 +67,10 @@
fi
make check RUNTESTFLAGS=-v
+make install
if [ "$MAKE_EXTENSION" = "1" ]; then
echo "Running extension testing"
- make install
make check RUNTESTFLAGS=--extension
if [ "$?" != "0" ]; then
exit $?
@@ -79,7 +79,6 @@
if [ "$DUMP_RESTORE" = "1" ]; then
echo "Dum restore test"
- make install
make check RUNTESTFLAGS="-v --dumprestore"
if [ "$?" != "0" ]; then
exit $?
@@ -89,4 +88,15 @@
if [ "$MAKE_GARDEN" = "1" ]; then
echo "Running garden test"
make garden
+ if [ "$?" != "0" ]; then
+ exit $?
+ fi
fi
+
+# Test all available upgrades
+# TODO: protect via some variable ?
+utils/check_all_upgrades.sh \
+ `grep '^POSTGIS_' Version.config | cut -d= -f2 | paste -sd '.'`
+if [ "$?" != "0" ]; then
+ exit $?
+fi
More information about the postgis-tickets
mailing list